#### D.15.2.11 piecewiseOrd

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  piecewiseOrd(f,w); f poly, w a piecewise weight given by a list, which can be computed using @ref(piecewiseWeightOfPolygon)

Return:
  the piecewiseOrd with regard to the weight w of f

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8+x^3*y^5+y^2*x^5;
    list NP = newtonPolygon(f);
    list w = piecewiseWeightOfPolygon(NP);
    piecewiseOrd(f,w);
    ==> 72

User manual for Singular version 4.4.1, 2025, generated by texi2html.